
Redmine - Defect #8427

"Issue Summary" page do not show totals from subprojects in some cases

2011-05-24 11:03 - Hongjoo Lee

Status: Closed Start date: 2011-03-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.1.2

Description

I have two projects, each of which has one or two subprojects.

In case of the project having a subproject has no problem, but the other one shows a problem on it's summary page.

Two subprojects which belongs to it reports summary in normal, however the mother projects shows a single character '-' on every

fields as if the subprojects has none of open/closed issues. (Except "Subproject", which the only thing the summary page behaviors

correctly)

Database: sqlite3

Ruby: 1.8.7

Rails: 2.3.5

Redmine: 1.1.2

Related issues:

Related to Redmine - Feature #2529: Extend Issue Summary to include subprojects Closed 2009-01-19

History

#1 - 2011-05-24 11:10 - Hongjoo Lee

It's similar to defect #7970

#2 - 2018-10-03 15:23 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented by #2529.

Issue Summary page in Redmine 4.0.0 will also count subprojects' issues when "Display subprojects issues on main projects by default" setting is

enabled.
